/* ---------------------------------------------------------- */
/*  pako_opengl_app.h                                         */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief    Pako SDL Game Library - OpenGL application class
    @author   rerofumi
    @since    Nov.05.2006
*/
/*-----------------------------------------------------
 Copyright (C) 2006 fumi2kick/rerofumi <rero2@yuumu.org>
 All Rights Reserved.
 ------------------------------------------------------*/

#ifndef PAKO_SDL_OPENGL_APP_H
#define PAKO_SDL_OPENGL_APP_H

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

#include "SDL.h"
#include <GL/gl.h>
#include <GL/glu.h>

#include "pako_simple_app.h"
#include "pako_math.h"

/*-------------------------------*/
/* define                        */
/*-------------------------------*/

//! eNX`̊Ǘő吔
#define PAKO_TEXTURE_MAX   16


/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* class                         */
/*-------------------------------*/

/**
 * @brief SDL-Opengl Q[AvP[VNX
 *        PCł Opengl \NX
 *
 * @todo -
 * @bug -
 */
class PakoSDLOpenglApp : public PakoSimpleApp
{
  /* ----------------------------------- */
  /* --- RXgN^EfXgN^ */
 public:
  PakoSDLOpenglApp();
  virtual  ~PakoSDLOpenglApp();

  /* ----------------------------------- */
  /* --- pubNo */
 public:

  /* ----------------------------------- */
  /* --- thNXo */
 protected:

  /* ----------------------------------- */
  /* --- vCx[go */
 private:

  /* ----------------------------------- */
  /* --- pubN\bh */
 public:

  /* ----------------------------------- */
  /* --- thNX\bh */
 protected:
  int onBoot(void);
  int onShutdown(void);
  void swapFrameBuffer(void);

  /* ----------------------------------- */
  /* --- vCx[g\bh */
 private:

};


#endif

