/* ---------------------------------------------------------- */
/*  Pako_SpriteManage.h                                         */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief    Pako SDL Game Library - sprite list manage
    @author   rerofumi
    @since    Nov.06.2006
*/
/*-----------------------------------------------------
 Copyright (C) 2006 fumi2kick/rerofumi <rero2@yuumu.org>
 All Rights Reserved.
 ------------------------------------------------------*/

#ifndef PAKO_SPRITEMANAGE_H
#define PAKO_SPRITEMANAGE_H

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

#include "pako_spriteitem.h"

/*-------------------------------*/
/* define                        */
/*-------------------------------*/

/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* class                         */
/*-------------------------------*/

/**
 * @brief XvCgǗNX
 *        1layer ̃XvCg܂Ƃ߁A\
 *
 * @todo -
 * @bug -
 */
class PakoSpriteManage
{
  /* ----------------------------------- */
  /* --- RXgN^EfXgN^ */
 public:
  PakoSpriteManage();
  PakoSpriteManage(const PakoSpriteManage& other);
  virtual  ~PakoSpriteManage();

  /* ----------------------------------- */
  /* --- pubNo */
 public:
  //! XvCgC[ƂĂID
  int  m_layer;
  //! ǗĂXvCg̑
  int  m_size;
  //! XvCgʂ𔽓]tO
  bool  m_reverse_priority;
  //! XvCgC[ƂĂ̐[(D揇)
  int  m_depth;

  /* ----------------------------------- */
  /* --- vCx[go */
 protected:
  //! sprite item ̔zǗ
  PakoSpriteItem *obj;

  /* ----------------------------------- */
  /* --- pubN\bh */
 public:
  //! Zq.
  PakoSpriteManage& operator=(const PakoSpriteManage& other);

  void  setSize(int size);
  int  getSize(void);
  PakoSpriteItem *getSprite(int item);

  /* ----------------------------------- */
  /* --- vCx[g\bh */
 private:

};


#endif

