/* ---------------------------------------------------------- */
/*  pako_user_app.h                                           */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief    Pako SDL Game Library - Game apprication sample
    @author   rerofumi
    @since    Nov.08.2006
*/
/*-----------------------------------------------------
 Copyright (C) 2006 fumi2kick/rerofumi <rero2@yuumu.org>
 All Rights Reserved.
 ------------------------------------------------------*/

#ifndef PAKO_USER_APP_H
#define PAKO_USER_APP_H

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

#include "pako_opengl_app.h"
#include "tcgs_cave_3d.h"
#include "tcgs_cave_2d.h"
#include "tcgs_cave_title.h"

/**
 * @brief Q[AvP[VTvNX
 *        Q[{̕ApケɎR[hǉĂ
 *
 * @todo -
 * @bug -
 */
class PakoUserApp : public PakoOpenglApp
{
  /* --- RXgN^EfXgN^ */
 public:
  PakoUserApp();
  virtual  ~PakoUserApp();

  /* --- AvP[V\bh */
 protected:
  int onExecuteBefore(void);
  int onExecuteAfter(void);
  bool tick(void);
  bool tickDisplay(void);

  /* --- [J[N */
 private:
  Cave3dGame  *race; 
  Cave2dGame  *retro; 
  CaveTitle  *title; 
  //! Q[Xebv
  int  step;

};

#endif
